com.microfocus.awm.meta.interfaces

## Interface DynamicObject

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Subinterfaces:
    ComplexAttributeBase, FunctionPackage, RToolInParameter, RToolOutParameter, RToolParameter, ToolDescriptor
  All Known Implementing Classes:
    ComplexAttributeBaseImpl, DynamicObjectImpl, FunctionPackageImpl, RToolInParameterImpl, RToolInParameterUnresolved, RToolOutParameterImpl, RToolParameterImpl, ToolDescriptorImpl

      public interface DynamicObject
      extends AWMObject

  See Also:
    `TaurusPackage.getDynamicObject()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<ComplexAttributeBase>` | `getComplexAttributes()` Gets the list of modelled complex attributes of this object.
    `java.util.List<org.eclipse.emf.ecore.EStructuralFeature>` | `getDynamicAttributes()` Gets all dynamic attributes from this object.
    `java.lang.Object` | `getDynamicValue(java.lang.String pAttrID)` Gets the value of the given attribute ID or `null` if the attribute does not exist or does not have a value.
    `void` | `setDynamicValue(java.lang.String pAttrID, java.lang.Object pNewValue)` Sets the value of the attribute with the given ID.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDynamicValue

          java.lang.Object getDynamicValue(java.lang.String pAttrID)

      Gets the value of the given attribute ID or `null` if the attribute does not exist or does not have a value.
      Parameters:
        `pAttrID` - the ID of the desired attribute
      Returns:
        the value (can be `null`)

    - #### setDynamicValue

          void setDynamicValue(java.lang.String pAttrID,
                               java.lang.Object pNewValue)

      Sets the value of the attribute with the given ID.
      Parameters:
        `pAttrID` - the ID of the attribute
        `pNewValue` - the new value

    - #### getDynamicAttributes

          java.util.List<org.eclipse.emf.ecore.EStructuralFeature> getDynamicAttributes()

      Gets all dynamic attributes from this object. Can be an empty list.
      Returns:
        dynamic features (can be an empty list)

    - #### getComplexAttributes

          java.util.List<ComplexAttributeBase> getComplexAttributes()

      Gets the list of modelled complex attributes of this object.
      Returns:
        the list of complex attributes. Can be empty.

Copyright © 2015 Micro Focus GmbH. All rights reserved.